﻿#region Copyright ©2007-2013, SIVECO Romania SA - All Rights Reserved
// ======================================================================
// Copyright ©2007-2013 SIVECO Romania SA - All Rights Reserved
// ======================================================================
// This file and its contents are protected by Romanian and International
// copyright laws. Unauthorized reproduction and/or distribution of all
// or any portion of the code contained herein is strictly prohibited
// and will result in severe civil and criminal penalties.
// Any violations of this copyright will be prosecuted
// to the fullest extent possible under law.
// ======================================================================
// THIS COPYRIGHT NOTICE MAY NOT BE REMOVED FROM THIS FILE.
// ======================================================================
#endregion

#region References
using System;
#endregion

namespace Cnas.Siui.TestConnectivity.Services.Parameters
{
    /// <summary>
    /// Parameters required for downloading the online prescription
    /// </summary>
    public class PrescriptionDownloaderParameters
    {
        public string ProviderCode { get; private set; }
        public string PhysicianStencilNo { get; private set; }
        public string ContractNo { get; private set; }
        public string ContractType { get; private set; }
        public string InsuranceHouseCode { get; private set; }
        public string SeriesCode { get; private set; }
        public string SeriesNo { get; private set; }
        public DateTime PrescriptionDate { get; private set; }

        public PrescriptionDownloaderParameters( string providerCode, string physicianStencilNo, string contractNo, string contractType, string insuranceHouseCode, string seriesCode, string seriesNo, DateTime prescriptionDate )
        {
            this.ProviderCode = providerCode;
            this.PhysicianStencilNo = physicianStencilNo;
            this.ContractNo = contractNo;
            this.ContractType = contractType;
            this.InsuranceHouseCode = insuranceHouseCode;
            this.SeriesCode = seriesCode;
            this.SeriesNo = seriesNo;
            this.PrescriptionDate = prescriptionDate;
        }
    }
}