﻿#region Copyright ©2007-2013, SIVECO Romania SA - All Rights Reserved
// ======================================================================
// Copyright ©2007-2013 SIVECO Romania SA - All Rights Reserved
// ======================================================================
// This file and its contents are protected by Romanian and International
// copyright laws. Unauthorized reproduction and/or distribution of all
// or any portion of the code contained herein is strictly prohibited
// and will result in severe civil and criminal penalties.
// Any violations of this copyright will be prosecuted
// to the fullest extent possible under law.
// ======================================================================
// THIS COPYRIGHT NOTICE MAY NOT BE REMOVED FROM THIS FILE.
// ======================================================================
#endregion

#region References
using System;
using System.Security.Cryptography.X509Certificates;
using Cnas.Siui.TestConnectivity.Services.Abstracts;
using Cnas.Siui.TestConnectivity.Services.Parameters;
using Cnas.Siui.WebServices.EPrescriptionWS;
#endregion

namespace Cnas.Siui.TestConnectivity.Services
{
    /// <summary>
    /// Service for downloading the online prescription xml content
    /// </summary>
    public class PrescriptionDownloaderWebService : AbstractWebService<EPrescriptionWSService, string, string, PrescriptionDownloaderParameters>
    {
        /// <summary>
        /// Class constructor requires parameters the setup the request.
        /// </summary>
        public PrescriptionDownloaderWebService( string url, string username, string password, X509Certificate2 certificate, string ocspUrl, int requestTimeout )
            :
                base( url, username, password, certificate, ocspUrl, requestTimeout ) {}

        /// <summary>
        /// Call webservice method to download the prescription xml content
        /// </summary>
        /// <returns></returns>
        protected override string CallWebServiceMethod( EPrescriptionWSService webService, PrescriptionDownloaderParameters parameters )
        {
            return webService.getPrescribedPrescription( parameters.ProviderCode, parameters.PhysicianStencilNo, parameters.ContractNo, parameters.ContractType, parameters.InsuranceHouseCode, parameters.SeriesCode, parameters.SeriesNo, parameters.PrescriptionDate );
        }

        /// <summary>
        /// Returns the original response of the invoked webservice method. No message processing is required.
        /// </summary>
        /// <returns></returns>
        protected override string ProcessResponse( PrescriptionDownloaderParameters parameters, string response )
        {
            return response; //Returning the original response , no proccessing is needed
        }
    }
}